from flask import Flask, jsonify, request
from flask_restplus import Resource, Api, reqparse
import json


app = Flask(__name__)                  #  Create a Flask WSGI appliction
api = Api(app)                         #  Create a Flask-RESTPlus API


parser = reqparse.RequestParser()
parser.add_argument('jsonbody', location='json')    

        
@api.route('/helloworld/<inputName>', methods=['GET']) 
class HelloWorld(Resource):
                                                   #  Create a RESTful resource
    def get(self,inputName):                     #  Create GET endpoint
        resp = app.make_response("hello world "+inputName)
        resp.headers.add('Access-Control-Allow-Origin', '*')  #Required for CORS
        resp.headers.add('Access-Control-Allow-Methods', 'POST,PUT,GET');
        return resp  
if __name__ == '__main__':
    app.run(debug=True, threaded=True)                #  Start a development server